Package org.lwjgl.opengl

# Class NVGpuShader5

java.lang.Object
org.lwjgl.opengl.NVGpuShader5

public final class NVGpuShader5 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_FLOAT16_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_FLOAT16_VEC2_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_FLOAT16_VEC3_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_FLOAT16_VEC4_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_INT16_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_INT16_VEC2_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_INT16_VEC3_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_INT16_VEC4_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_INT64_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_INT64_VEC2_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_INT64_VEC3_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_INT64_VEC4_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_INT8_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_INT8_VEC2_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_INT8_VEC3_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_INT8_VEC4_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_PATCHES`
Accepted by the <primitiveMode> parameter of BeginTransformFeedback:
`static final int`
`GL_UNSIGNED_INT16_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_UNSIGNED_INT16_VEC2_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_UNSIGNED_INT16_VEC3_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_UNSIGNED_INT16_VEC4_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_UNSIGNED_INT64_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_UNSIGNED_INT64_VEC2_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_UNSIGNED_INT64_VEC3_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_UNSIGNED_INT64_VEC4_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_UNSIGNED_INT8_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_UNSIGNED_INT8_VEC2_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_UNSIGNED_INT8_VEC3_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:
`static final int`
`GL_UNSIGNED_INT8_VEC4_NV`
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glGetUniformNV(int program, int location, LongBuffer params)`
`static void`
`glGetUniformuNV(int program, int location, LongBuffer params)`
`static void`
`glProgramUniform1i64NV(int program, int location, long x)`
`static void`
`glProgramUniform1NV(int program, int location, LongBuffer value)`
`static void`
`glProgramUniform1ui64NV(int program, int location, long x)`
`static void`
`glProgramUniform1uNV(int program, int location, LongBuffer value)`
`static void`
`glProgramUniform2i64NV(int program, int location, long x, long y)`
`static void`
`glProgramUniform2NV(int program, int location, LongBuffer value)`
`static void`
`glProgramUniform2ui64NV(int program, int location, long x, long y)`
`static void`
`glProgramUniform2uNV(int program, int location, LongBuffer value)`
`static void`
`glProgramUniform3i64NV(int program, int location, long x, long y, long z)`
`static void`
`glProgramUniform3NV(int program, int location, LongBuffer value)`
`static void`
`glProgramUniform3ui64NV(int program, int location, long x, long y, long z)`
`static void`
`glProgramUniform3uNV(int program, int location, LongBuffer value)`
`static void`
`glProgramUniform4i64NV(int program, int location, long x, long y, long z, long w)`
`static void`
`glProgramUniform4NV(int program, int location, LongBuffer value)`
`static void`
`glProgramUniform4ui64NV(int program, int location, long x, long y, long z, long w)`
`static void`
`glProgramUniform4uNV(int program, int location, LongBuffer value)`
`static void`
`glUniform1i64NV(int location, long x)`
`static void`
`glUniform1NV(int location, LongBuffer value)`
`static void`
`glUniform1ui64NV(int location, long x)`
`static void`
`glUniform1uNV(int location, LongBuffer value)`
`static void`
`glUniform2i64NV(int location, long x, long y)`
`static void`
`glUniform2NV(int location, LongBuffer value)`
`static void`
`glUniform2ui64NV(int location, long x, long y)`
`static void`
`glUniform2uNV(int location, LongBuffer value)`
`static void`
`glUniform3i64NV(int location, long x, long y, long z)`
`static void`
`glUniform3NV(int location, LongBuffer value)`
`static void`
`glUniform3ui64NV(int location, long x, long y, long z)`
`static void`
`glUniform3uNV(int location, LongBuffer value)`
`static void`
`glUniform4i64NV(int location, long x, long y, long z, long w)`
`static void`
`glUniform4NV(int location, LongBuffer value)`
`static void`
`glUniform4ui64NV(int location, long x, long y, long z, long w)`
`static void`
`glUniform4uNV(int location, LongBuffer value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_INT64_NV

public static final int GL_INT64_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT64_NV

public static final int GL_UNSIGNED_INT64_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_INT8_NV

public static final int GL_INT8_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_INT8_VEC2_NV

public static final int GL_INT8_VEC2_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_INT8_VEC3_NV

public static final int GL_INT8_VEC3_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_INT8_VEC4_NV

public static final int GL_INT8_VEC4_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_INT16_NV

public static final int GL_INT16_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_INT16_VEC2_NV

public static final int GL_INT16_VEC2_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_INT16_VEC3_NV

public static final int GL_INT16_VEC3_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_INT16_VEC4_NV

public static final int GL_INT16_VEC4_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_INT64_VEC2_NV

public static final int GL_INT64_VEC2_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_INT64_VEC3_NV

public static final int GL_INT64_VEC3_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_INT64_VEC4_NV

public static final int GL_INT64_VEC4_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT8_NV

public static final int GL_UNSIGNED_INT8_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT8_VEC2_NV

public static final int GL_UNSIGNED_INT8_VEC2_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT8_VEC3_NV

public static final int GL_UNSIGNED_INT8_VEC3_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT8_VEC4_NV

public static final int GL_UNSIGNED_INT8_VEC4_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT16_NV

public static final int GL_UNSIGNED_INT16_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT16_VEC2_NV

public static final int GL_UNSIGNED_INT16_VEC2_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT16_VEC3_NV

public static final int GL_UNSIGNED_INT16_VEC3_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT16_VEC4_NV

public static final int GL_UNSIGNED_INT16_VEC4_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT64_VEC2_NV

public static final int GL_UNSIGNED_INT64_VEC2_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT64_VEC3_NV

public static final int GL_UNSIGNED_INT64_VEC3_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT64_VEC4_NV

public static final int GL_UNSIGNED_INT64_VEC4_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_FLOAT16_NV

public static final int GL_FLOAT16_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_FLOAT16_VEC2_NV

public static final int GL_FLOAT16_VEC2_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_FLOAT16_VEC3_NV

public static final int GL_FLOAT16_VEC3_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_FLOAT16_VEC4_NV

public static final int GL_FLOAT16_VEC4_NV
Returned by the <type> parameter of GetActiveAttrib, GetActiveUniform, and GetTransformFeedbackVarying:

See Also:
  - Constant Field Values

### GL_PATCHES

public static final int GL_PATCHES
Accepted by the <primitiveMode> parameter of BeginTransformFeedback:

See Also:
  - Constant Field Values

## Method Details

### glUniform1i64NV

public static void glUniform1i64NV(int location, long x)

### glUniform2i64NV

public static void glUniform2i64NV(int location, long x, long y)

### glUniform3i64NV

public static void glUniform3i64NV(int location, long x, long y, long z)

### glUniform4i64NV

public static void glUniform4i64NV(int location, long x, long y, long z, long w)

### glUniform1NV

public static void glUniform1NV(int location, LongBuffer value)

### glUniform2NV

public static void glUniform2NV(int location, LongBuffer value)

### glUniform3NV

public static void glUniform3NV(int location, LongBuffer value)

### glUniform4NV

public static void glUniform4NV(int location, LongBuffer value)

### glUniform1ui64NV

public static void glUniform1ui64NV(int location, long x)

### glUniform2ui64NV

public static void glUniform2ui64NV(int location, long x, long y)

### glUniform3ui64NV

public static void glUniform3ui64NV(int location, long x, long y, long z)

### glUniform4ui64NV

public static void glUniform4ui64NV(int location, long x, long y, long z, long w)

### glUniform1uNV

public static void glUniform1uNV(int location, LongBuffer value)

### glUniform2uNV

public static void glUniform2uNV(int location, LongBuffer value)

### glUniform3uNV

public static void glUniform3uNV(int location, LongBuffer value)

### glUniform4uNV

public static void glUniform4uNV(int location, LongBuffer value)

### glGetUniformNV

public static void glGetUniformNV(int program, int location, LongBuffer params)

### glGetUniformuNV

public static void glGetUniformuNV(int program, int location, LongBuffer params)

### glProgramUniform1i64NV

public static void glProgramUniform1i64NV(int program, int location, long x)

### glProgramUniform2i64NV

public static void glProgramUniform2i64NV(int program, int location, long x, long y)

### glProgramUniform3i64NV

public static void glProgramUniform3i64NV(int program, int location, long x, long y, long z)

### glProgramUniform4i64NV

public static void glProgramUniform4i64NV(int program, int location, long x, long y, long z, long w)

### glProgramUniform1NV

public static void glProgramUniform1NV(int program, int location, LongBuffer value)

### glProgramUniform2NV

public static void glProgramUniform2NV(int program, int location, LongBuffer value)

### glProgramUniform3NV

public static void glProgramUniform3NV(int program, int location, LongBuffer value)

### glProgramUniform4NV

public static void glProgramUniform4NV(int program, int location, LongBuffer value)

### glProgramUniform1ui64NV

public static void glProgramUniform1ui64NV(int program, int location, long x)

### glProgramUniform2ui64NV

public static void glProgramUniform2ui64NV(int program, int location, long x, long y)

### glProgramUniform3ui64NV

public static void glProgramUniform3ui64NV(int program, int location, long x, long y, long z)

### glProgramUniform4ui64NV

public static void glProgramUniform4ui64NV(int program, int location, long x, long y, long z, long w)

### glProgramUniform1uNV

public static void glProgramUniform1uNV(int program, int location, LongBuffer value)

### glProgramUniform2uNV

public static void glProgramUniform2uNV(int program, int location, LongBuffer value)

### glProgramUniform3uNV

public static void glProgramUniform3uNV(int program, int location, LongBuffer value)

### glProgramUniform4uNV

public static void glProgramUniform4uNV(int program, int location, LongBuffer value)